<?xml version="1.0" encoding="UTF-8"?>
<databaseChangeLog
        xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
        xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
        xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog
                      http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-4.9.xsd"
        objectQuotingStrategy="QUOTE_ONLY_RESERVED_WORDS">
    <changeSet id="1652726523538-5" author="vb (generated)">
        <addColumn tableName="scalars_test_entity">
            <column name="bool_primitive" type="BOOLEAN"/>
            <column name="byte_primitive" type="SMALLINT"/>
            <column name="double_primitive" type="DOUBLE"/>
            <column name="float_primitive" type="FLOAT"/>
            <column name="int_primitive" type="INT"/>
            <column name="long_primitive" type="BIGINT"/>
            <column name="short_primitive" type="SMALLINT"/>
        </addColumn>
    </changeSet>
    <changeSet id="1652726523538-6" author="vb (generated)">
        <addNotNullConstraint columnName="bool_primitive" tableName="scalars_test_entity"/>
    </changeSet>
    <changeSet id="1652726523538-8" author="vb (generated)">
        <addNotNullConstraint columnName="byte_primitive" tableName="scalars_test_entity"/>
    </changeSet>
    <changeSet id="1652726523538-10" author="vb (generated)">
        <addNotNullConstraint columnName="double_primitive" tableName="scalars_test_entity"/>
    </changeSet>
    <changeSet id="1652726523538-12" author="vb (generated)">
        <addNotNullConstraint columnName="float_primitive" tableName="scalars_test_entity"/>
    </changeSet>
    <changeSet id="1652726523538-14" author="vb (generated)">
        <addNotNullConstraint columnName="int_primitive" tableName="scalars_test_entity"/>
    </changeSet>
    <changeSet id="1652726523538-16" author="vb (generated)">
        <addNotNullConstraint columnName="long_primitive" tableName="scalars_test_entity"/>
    </changeSet>
    <changeSet id="1652726523538-18" author="vb (generated)">
        <addNotNullConstraint columnName="short_primitive" tableName="scalars_test_entity"/>
    </changeSet>
    <changeSet id="1652726523538-1" author="vb (generated)">
        <addNotNullConstraint columnDataType="BOOLEAN" columnName="bool_primitive" tableName="test_entity"
                              validate="true"/>
    </changeSet>
    <changeSet id="1652726523538-2" author="vb (generated)">
        <addNotNullConstraint columnDataType="SMALLINT" columnName="byte_primitive" tableName="test_entity"
                              validate="true"/>
    </changeSet>
    <changeSet id="1652726523538-3" author="vb (generated)">
        <addNotNullConstraint columnDataType="CHAR" columnName="char_primitive" tableName="test_entity"
                              validate="true"/>
    </changeSet>
    <changeSet id="1652726523538-4" author="vb (generated)">
        <addNotNullConstraint columnDataType="SMALLINT" columnName="short_primitive" tableName="test_entity"
                              validate="true"/>
    </changeSet>

</databaseChangeLog>